import 'dart:io';

import 'package:get/get.dart';
import 'package:traderscircuit/model/ContactUsModel/contact_us_cat_model.dart';
import 'package:traderscircuit/model/ContactUsModel/contact_us_model.dart';
import 'package:intl/intl.dart';

class ContactUsController extends GetxController {
  RxBool isLoading = true.obs;
  //contact us  page controller
  RxList<File?> attachmentFileList = [File("")].obs;
  RxList<String> attachmentPathNameList = [""].obs;

  //contact us details page controller
  RxList<File?> attachmentFileDetailsList = [File("")].obs;
  RxList<String> attachmentPathNameDetailsList = [""].obs;

  ContactUsCatModel contactCatModel = ContactUsCatModel();
  ContactUsModel contactModel = ContactUsModel();

  RxString selectedValue = "".obs;

  String formatedDateTimeMethod(String originalDateTimeString) {
    DateTime dateTime = DateTime.parse(originalDateTimeString);

    return DateFormat("dd MMM yyyy, hh:mm a").format(dateTime.toLocal());
  }

  RxList<dynamic> contactUsDetailsChatContent = [].obs;
}
